Page MenuHomePhabricator

Disable jessie VM creation in VPS
Closed, ResolvedPublic

Description

We want to keep it around as an option but by request only.

Event Timeline

Andrew created this task.Mar 12 2019, 4:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2019, 4:07 PM

Would we follow the procedure detailed here and send an email to cloud-announce?

It seems we could do this at any time but I'm not fully aware if we have some Cloud VPS users that are depending heavily on Jessie at this moment. In any case, the fallout might be more tasks to re-enable it temporarily so someone can create a Jessie VM.

The Integration project will need to keep creating Jessie VMs for a bit.

Jony added a subscriber: Jony.Mar 18 2019, 3:38 PM
Andrew closed this task as Resolved.Mar 18 2019, 9:40 PM

This image is now private to the 'admin' project, with shared access extended to the 'integration' and 'testlabs' projects.

Adding access to a project looks like this:

root@cloudcontrol1003:~# source ~/novaenv.sh 
root@cloudcontrol1003:~# glance member-create 957af495-1244-4b05-9f4f-cf68dccb1422 testlabs
+--------------------------------------+-----------+---------+
| Image ID                             | Member ID | Status  |
+--------------------------------------+-----------+---------+
| 957af495-1244-4b05-9f4f-cf68dccb1422 | testlabs  | pending |
+--------------------------------------+-----------+---------+
root@cloudcontrol1003:~# glance member-update 957af495-1244-4b05-9f4f-cf68dccb1422 testlabs accepted
+--------------------------------------+-----------+----------+
| Image ID                             | Member ID | Status   |
+--------------------------------------+-----------+----------+
| 957af495-1244-4b05-9f4f-cf68dccb1422 | testlabs  | accepted |
+--------------------------------------+-----------+----------+

This image is now private to the 'admin' project, with shared access extended to the 'integration' and 'testlabs' projects.
Adding access to a project looks like this:

root@cloudcontrol1003:~# source ~/novaenv.sh 
root@cloudcontrol1003:~# glance member-create 957af495-1244-4b05-9f4f-cf68dccb1422 testlabs
+--------------------------------------+-----------+---------+
| Image ID                             | Member ID | Status  |
+--------------------------------------+-----------+---------+
| 957af495-1244-4b05-9f4f-cf68dccb1422 | testlabs  | pending |
+--------------------------------------+-----------+---------+
root@cloudcontrol1003:~# glance member-update 957af495-1244-4b05-9f4f-cf68dccb1422 testlabs accepted
+--------------------------------------+-----------+----------+
| Image ID                             | Member ID | Status   |
+--------------------------------------+-----------+----------+
| 957af495-1244-4b05-9f4f-cf68dccb1422 | testlabs  | accepted |
+--------------------------------------+-----------+----------+

Cool, could you please document this somewhere? perhaps https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/VM_images

Andrew added a comment.Apr 1 2019, 7:04 PM

I just enabled Jessie in 'security-tools' so they can test existing Jessie deployments